Create Training Supervision
curl --request POST \
--url https://api.example.com/pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/supervisions/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowed_actions": [],
"interval_seconds": 300,
"confirm_recurring_checks": false,
"confirm_state_changes": false
}
'import requests
url = "https://api.example.com/pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/supervisions/"
payload = {
"source_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"idempotency_key": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"allowed_actions": [],
"interval_seconds": 300,
"confirm_recurring_checks": False,
"confirm_state_changes": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
source_conversation_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
instructions: '<string>',
idempotency_key: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
allowed_actions: [],
interval_seconds: 300,
confirm_recurring_checks: false,
confirm_state_changes: false
})
};
fetch('https://api.example.com/pipelines/{pipeline_id}/runs/{run_id}/training/{job_name}/supervisions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"training_session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requested_by_member_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supervisor_conversation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"instructions": "<string>",
"allowed_actions": [
"continue"
],
"interval_seconds": 123,
"status": "active",
"next_check_at": "2023-11-07T05:31:56Z",
"check_count": 123,
"consecutive_failures": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"lease_expires_at": "2023-11-07T05:31:56Z",
"lease_command_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_check_started_at": "2023-11-07T05:31:56Z",
"last_check_completed_at": "2023-11-07T05:31:56Z",
"last_error": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}training-checkpoints
Create Training Supervision
POST
/
pipelines
/
{pipeline_id}
/
runs
/
{run_id}
/
training
/
{job_name}
/
supervisions
/
Create Training Supervision
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Body
application/json
Required string length:
1 - 4000Maximum array length:
6Available options:
continue, pause, resume, rollback, warm_restart, finish_from_checkpoint, abort Required range:
60 <= x <= 3600Response
Successful Response
Available options:
continue, pause, resume, rollback, warm_restart, finish_from_checkpoint, abort Available options:
active, completed, cancelled, failed